<?php

	// caly przycisk
	function przycisk($adres,$dymek,$okienko,$ikonka){
		$przycisk = '<span id="ico"><a href="'.$adres.'" title="'.$dymek.'" '.$okienko.'>'.$ikonka.'</a></span>';
		return $przycisk;
	}

	// wyswietlenie okienka - div
	function okienko($id,$tytul,$szerokosc,$wysokosc,$pasek='',$pozycja_okienka=''){
		$okienko_tekst = 'onclick=\'return parent.CPwindow(this, "'.$id.'", "'.$tytul.'", '.$szerokosc.', '.$wysokosc.');\'';
		return $okienko_tekst;
	}

	// wyswietlenie ikonki
	function ikonka($typ){
		global $adres_serwisu;
		$ikonka_tekst = '<img border="0" src="'.$adres_serwisu.'images/ico/'.$adres_do_ikonek.'cms_ico_'.$typ.'.gif">';
		return $ikonka_tekst;
	}

	function jump($file) {echo "<script>window.location.replace('".$file."');</script>";}

	// funkcja dla serwisów - historia aktywno¶ci, wpis na tablicy użytkownika
	function wpis_na_tablicy($tresc,$id=NULL){
		if($id==NULL)$id=$_SESSION['uzytkownik_id'];
		$wykonaj = mysql_query("INSERT INTO pcms_serwis_tablice (id_uzytkownika,tresc,typ,czas_dodania) VALUES ('".$id."','".$tresc."','0','".time()."')");
	}

	function zamowienie_historia($id,$tytul){
		global $db_pref;
		$wykonaj = mysql_query("INSERT INTO ".$db_pref."sklep_zamowienia_historia (id_zamowienia,tresc,czas_dodania,czas_aktualizacji) VALUES ('".$id."','".$tytul."','".time()."','brak')");
	}

	// numer IP
	function numer_ip(){
		if($_SERVER['HTTP_X_FORWARDED_FOR']){
			$ip_prawdziwe = $_SERVER['HTTP_X_FORWARDED_FOR'];
		}else{
		   $ip_prawdziwe = $_SERVER['REMOTE_ADDR'];
		}
		return $ip_prawdziwe;
	}

	// Filtrowanie polskich znakow

	function filtr_pl($tekst){

	   $tekst = strtolower($tekst);

		$tekst = str_replace('¶', "s", $tekst);
		$tekst = str_replace('¦', "s", $tekst);

		$tekst = str_replace('ć', "c", $tekst);
		$tekst = str_replace('Ć', "c", $tekst);

		$tekst = str_replace('ę', "e", $tekst);
		$tekst = str_replace('Ę', "E", $tekst);

		$tekst = str_replace('±', "a", $tekst);
		$tekst = str_replace('ˇ', "a", $tekst);

		$tekst = str_replace('ż', "z", $tekst);
		$tekst = str_replace('Ż', "z", $tekst);

		$tekst = str_replace('Ľ', "z", $tekst);
		$tekst = str_replace('¬', "z", $tekst);

		$tekst = str_replace('ń', "n", $tekst);
		$tekst = str_replace('Ń', "n", $tekst);

		$tekst = str_replace('ł', "l", $tekst);
		$tekst = str_replace('Ł', "l", $tekst);

	   $tekst = str_replace('ó', "o", $tekst);
		$tekst = str_replace('Ó', "o", $tekst);

	   return $tekst;

	}







	// Filtr znakow

	function filtr_znakow($tekst){

		$tekst = strtolower($tekst);

		$tekst = str_replace('"', "", $tekst);

		$tekst = str_replace("'", "", $tekst);

		$tekst = str_replace("%", "", $tekst);

		$tekst = str_replace(",", "_", $tekst);

		$tekst = str_replace(".", "", $tekst);

		$tekst = str_replace("/", " ", $tekst);

		$tekst = str_replace('-', "_", $tekst);

		$tekst = str_replace('+', "_", $tekst);

		$tekst = str_replace('  ', " ", $tekst);

		$tekst = str_replace('&', " ", $tekst);

		$tekst = str_replace('   ', " ", $tekst);

		$tekst = str_replace('!', "", $tekst);

		$tekst = str_replace(':', "", $tekst);

		$tekst = str_replace(';', "", $tekst);

		$tekst = str_replace('*', "", $tekst);

		$tekst = str_replace(' & ', "-", $tekst);

		$tekst = str_replace(' ', "_", $tekst);

		return $tekst;

	}
?>